Skip to main content
PATCH
/
tickets
/
supplement-product-quantity-used
/
{ticketId}
cURL
curl --request PATCH \
  --url https://api-alpha.fourvenues.com/integrations/tickets/supplement-product-quantity-used/{ticketId} \
  --header 'Content-Type: application/json' \
  --header 'integration_id: <api-key>' \
  --header 'secret: <api-key>' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "supplement_slug": "bus",
  "product_quantity_used": 1
}
'
{
  "data": {
    "success": true
  }
}

Authorizations

integration_id
string
header
required

Identifier of the integration (Auth v1)

secret
string
header
required

Secret of the organization (Auth v1)

x-api-key
string
header
required

API key (Auth v2)

Path Parameters

ticketId
string
required

Id of the ticket

Body

application/json

Body of the request

supplement_slug
string

Slug of the supplement.

Example:

"bus"

product_quantity_used
number

Quantity of the supplement used.

Example:

1

Response

HTTP OK

data
object